<ion-content [fullscreen]="true" [scrollEvents]="true">
    <div id="container" class="mt-28" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'">
        <!-- <app-navbar></app-navbar> -->
        <!-- <div class="h-16 md:h-20">
        </div> -->
        <div class="container mx-auto max-w-screen-md py-10 pb-20 px-3 md:px-0">
            <div class="pt-8 mb-20">
                <div class="text-center text-3xl md:text-4xl font-medium px-4 md:px-0">
                    Đăng Nhập
                </div>

                <div class="md:col-span-4 col-span-12 w-full">
                    <div class="row-login md:px-5 px-5">
                        <div class="col-span-12 md:col-span-6 pt-5 px-0 md:px-8">
                            <form [formGroup]="secondFormGroup" (ngSubmit)="login()" (keyup.enter)="login()">
                                <div class="row-input-email">
                                    <div class="col-input-email">
                                        <mat-form-field class="w-full">
                                            <mat-label>Email</mat-label>
                                            <input matInput formControlName="email" placeholder="Email"
                                                required />
                                            <mat-error *ngIf="
                                                                secondFormGroup.hasError(
                                                                    'required',
                                                                    'email'
                                                                )
                                                            ">Email là bắt buộc
                                            </mat-error>
                                            <mat-error *ngIf="
                                                                secondFormGroup.hasError(
                                                                    'email',
                                                                    'email'
                                                                )
                                                            ">Email không hợp lệ
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>

                                <div class="row-input-password">
                                    <div class="col-input-password">
                                        <mat-form-field class="w-full">
                                            <mat-label>Mật khẩu</mat-label>
                                            <input matInput formControlName="password" type="password"
                                                placeholder="Mật khẩu" required class="focus:ring-0" />
                                            <mat-error *ngIf="
                                                                secondFormGroup.hasError(
                                                                    'required',
                                                                    'password'
                                                                )
                                                            ">Mật khẩu là bắt buộc
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                                <div class="text-danger" *ngIf="err">
                                    *Email hoặc mật khẩu không khớp
                                </div>
                            </form>
                            <div class="mb-4 text-right forgot">
                                <a class="text-black font-medium" routerLink="/auth/forgot-password">Quên mật khẩu?</a>
                            </div>
                            <div class="grid grid-cols-12 mt-3 mb-2 justify-center btn-login">
                                <div
                                    class="col-start-1 col-end-13 sm:col-start-2 sm:col-end-12 md:col-start-4 md:col-end-10 btn-login-lg">
                                    <div class="mb-2">
                                        <button class="w-full login-basic font-medium py-2 px-4 text-white bg-custom cursor-pointer" type="submit"
                                            (click)="login()">
                                            Đăng nhập
                                        </button>
                                    </div>
                                    <div class="text-center mb-2">
                                        <span>hoặc</span>
                                    </div>
                                    <div class="btn-mt-0 mb-2">
                                        <button class="w-full login-basic font-medium py-2 px-4 text-white bg-custom cursor-pointer"  (click)="signInWithGmail()">
                                            <ion-icon name="logo-google" class="float-left h-6 text-lg"></ion-icon>
                                            Đăng nhập bằng Gmail
                                        </button>
                                    </div>
                                    <div class="btn-mt-0 pb-4 border-b border-black">
                                        <button class="w-full login-basic self-center font-medium py-2 px-4 text-white bg-custom cursor-pointer"
                                         type="submit" color="primary" (click)="signInWithFB()">
                                         <ion-icon name="logo-facebook" class="float-left h-6 text-lg"></ion-icon>
                                            Đăng nhập bằng Facebook
                                        </button>
                                    </div>
                                    <div class="text-center mt-2">
                                        Bạn chưa có tài khoản?
                                        <a class="text-black font-medium text-nowrap" routerLink="/auth/register">Đăng
                                            ký ngay</a>
                                    </div>
                                </div>
                            </div>

                            <div class="space"></div>
                        </div>
                    </div>
                </div>
            </div>



        </div>
        <app-footer></app-footer>
        <!-- <div class="fixed bottom-20 md:bottom-24 md:right-9 right-5 z-50" onclick="location.href='tel:+84878879959';">
            <img [src]="'assets/image/telephone.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div>
        <div class="fixed bottom-5 md:bottom-7 md:right-9 right-5 z-50" onclick=" window.open('https://m.me/ABHomeDecoration')">
            <img [src]="'assets/image/messenger.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div> -->
    </div>

</ion-content>